## org.eclipse.m2m.atl.core
Interface IReferenceModel

All Superinterfaces:
  IModel

All Known Implementing Classes:
  ASMModelWrapper, EMFReferenceModel

    public interface IReferenceModel

extends IModel

The IReferenceModel interface defines a reference model, i.e. a metamodel managed by any framework.

Method Summary
`java.lang.Object` `getMetaElementByName(java.lang.String name)` Returns the metaelement having the given name.

Methods inherited from interface org.eclipse.m2m.atl.core.IModel
`getElementsByType, getModelFactory, getReferenceModel, isModelOf, isTarget, newElement, setIsTarget`

Method Detail

### getMetaElementByName

    java.lang.Object getMetaElementByName(java.lang.String name)

  Returns the metaelement having the given name.

  Parameters:
    `name` - the given name
  Returns:
    the metaelement having the given name

Copyright 2007 IBM Corporation and others. All Rights Reserved.